<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Audit/Objectifs/New"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Ajouter un objectif</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!objectifForm.invalid && save()" #objectifForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Définir un objectif annuel</mat-label>
            <input class="number-input" name="objectif" min="50" max="100" type="number" matInput placeholder="Ex. 99"
                   [(ngModel)]="objectif.objectif"
                   required>
            <mat-error *ngIf="objectif.objectif ==null">Une valeur est requise</mat-error>
          </mat-form-field>
          <mat-slide-toggle name="actif" color="primary" class="toggle" [(ngModel)]="objectif.actif">Actif
          </mat-slide-toggle>
          <button type="submit" [disabled]="!objectifForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>

